Page MenuHomePhabricator

ActiveAbstract extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the ActiveAbstract PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:51 AM
Vvjjkkii renamed this task from ActiveAbstract extension is missing @covers tags to 2mcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 2mcaaaaaaa to ActiveAbstract extension is missing @covers tags.Jul 1 2018, 5:28 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455125 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/ActiveAbstract@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455125

Change 455125 merged by jenkins-bot:
[mediawiki/extensions/ActiveAbstract@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455125

Umherirrender closed this task as Resolved.Sep 1 2018, 8:09 AM
Umherirrender claimed this task.
Umherirrender triaged this task as High priority.